﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.UltraWinGrid.ExcelExport;

namespace GridExportIssue
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			FileStream fs = new FileStream("GridData.xml",FileMode.Open);
			DataSet ds = new DataSet();
			ds.ReadXml(fs,XmlReadMode.ReadSchema);
			fs.Close();
			ultraGrid1.DataSource = ds;
		}

		private void btnExport_Click(object sender,EventArgs e)
		{
			if (saveFileDialog1.ShowDialog() == DialogResult.Cancel)
				return;
			using (UltraGridExcelExporter exp = new UltraGridExcelExporter())
			{
				exp.Export(ultraGrid1,saveFileDialog1.FileName);
			}
			MessageBox.Show("Done");
		}
	}
}
